Customer
Retrieve source
Retrieves customer information.
AuthorizationBearer <token>
API authentication is performed via Bearer auth using the secret key as the bearer token. The secret key is a critical key that allows all API operations, so handle it with care.
In: header
Path Parameters
customerId*string
Customer ID
sourceId*string
Source ID
Response Body
application/json;charset=utf-8
curl -X GET "https://api.elepay.io/customers/string/sources/string"{
"id": "string",
"object": "source",
"liveMode": true,
"paymentMethod": "alipay",
"resource": "web",
"description": "string",
"extra": {
"property1": "string",
"property2": "string"
},
"info": {
"property1": {},
"property2": {}
},
"cardInfo": {
"brand": "string",
"last4": "string",
"expMonth": 0,
"expYear": 0,
"name": "string",
"wallet": "string",
"walletApp": "string",
"repaymentType": "string",
"approvalCode": "string",
"threeDSecure": true,
"threeDSecureVersion": "string",
"threeDSecureDetail": "string",
"businessType": "string",
"konbiniScanTime": 0,
"konbiniType": "string",
"receivedAmount": 0,
"receivedTime": 0,
"bankUserCode": "string",
"bankUserName": "string",
"bankName": "string",
"bankBranchName": "string",
"bankAccountNo": "string"
},
"metadata": {
"property1": "string",
"property2": "string"
},
"credential": "string",
"status": "pending"
}